﻿#!/usr/bin/perl -w
package shared::Language;

use strict;
use warnings;
use utf8;
use open qw(:std :utf8);
use integer;
use Unicode::Normalize;


sub standardizedLanguage {
	my $lang = shift;

	my %standardized = (
		"zh" => "chinese",
		"zho" => "chinese"
	);

	return $standardized{$lang} || $lang;
}

sub chineseCharacter {
	my @chineseCharacterBlocks = (
		"CJK Unified Ideographs",
		"CJK Compatibility Ideographs",
		"CJK Compatibility Ideographs Supplement"
	);
	my $chineseCharacter = "";
	foreach (@chineseCharacterBlocks) {
		s! !!g;
		$chineseCharacter .= '\p{' . $_ . '}';
	}
	return '[' . $chineseCharacter . ']';
}

1;

