﻿#!/usr/bin/perl -w
package shared::Options;

use strict;
use warnings;
use utf8;
use open qw(:std :utf8);
use integer;
use Unicode::Normalize;

use Getopt::Long qw(GetOptionsFromArray);
use Pod::Usage;

our $parameterDir = "Filter_parameters/";


sub scriptRunsAsTextfilter {
	return (exists $ENV{'BB_DOC_NAME'})
}

sub readParameters {

	my $parameterformat = 0;
	my $man = 0;
	my $help = 0;

	if (scriptRunsAsTextfilter()) {
	
		my ($package, $filename, $line) = caller;
		my ($path, $name) = $filename =~ m!^(.+?/)([^/]+)\.pl$!;
		my $textfilterParameters = $path. $parameterDir . $name . ".txt";
		open (PARA, $textfilterParameters) or die "textfilter:\n$filename\ncan't find the parameter list:\n$textfilterParameters\n";
		my @textfilterParams = <PARA>;
		close(PARA);
		chomp @textfilterParams;
	
		GetOptionsFromArray(\@textfilterParams,
					@_,
				   "parameterformat" => \$parameterformat,
				   'help|?' => \$help, 
				   man => \$man) or pod2usage(2);	
	} else {
		GetOptions(
					@_,
				   "parameterformat" => \$parameterformat,
				   'help|?' => \$help, 
				   man => \$man) or pod2usage(2);
		
		# ohne Dateiname: brich mit USAGE ab. 
		unless ($#ARGV > -1) { pod2usage(1); } 
	}
	
	if ($parameterformat) {
		my %hash = @_;
		foreach (sort keys %hash) {
			print $_ . "\n";	
		}
		exit;
 	}

	pod2usage(1) if $help;
	pod2usage(-exitstatus => 0, -verbose => 2) if $man;
}


1;

